#!/bin/bash
WINEXE=/usr/bin/winexe
. /etc/BackupPC/scripts/auth.sh
WOLDIR=/usr/tools/wol
BOX=$1
xferOK=$2
/usr/bin/ssh Administrator@$BOX 'cmd /c echo '1' > c:\backuppc\wake.up' <&-
echo "Rsync and shadow copy unloaded"
if [ $xferOK -eq 1 ]; then
   if [ -f $WOLDIR/$BOX.state ]; then
      read wasoff < $WOLDIR/$BOX.state
      echo -n "State before backup: "
      echo $wasoff
      if [ "$wasoff" = "OFF" ]; then
         $WINEXE --authentication-file=/usr/tools/auth.file //$BOX 'shutdown -f -s -c "Backup Completed"' <&-
         echo "System shut down"
      fi
   rm $WOLDIR/$BOX.state
   fi
fi
